# Partie 2 et 4

> Rédiger et automatiser des TVU

Concernant ces exercices, je me suis permis d'y répondre en une passe. Pour commencer, je me suis concentré sur la rédaction d'UAT sur les nouveautés uniquement (et pas les US déjà existante). Celles-ci sont disponibles sous forme de `.feature` dans le projet :

* [inscription.feature](https://git.blanchelune.i234.me/Trusk/Partie-2/src/branch/main/cypress/integration/inscription.feature)
* [notification.feature](https://git.blanchelune.i234.me/Trusk/Partie-2/src/branch/main/cypress/integration/notification.feature)

Concernant le projet d'automatisation, je n'avais jamais cherché a automatiser des fonctionnalités rédigé en Gherkin (disons des fichionnalités, feature-files), mais je savais qu'il existait un moyen de le faire avec cypress. Ce projet montre le résultat de mon implémentation de cette approche. 

Notez que les tests automatisé ne contiennent aucune logique ni aucune cible, il n'existe que le squelette de l'automate suffisamment écrit pour fonctionner en débug.

### Comment lancer cet application

1. Avoir Node.js sur son poste, mais je serais pas surpris que ça soit déjà le cas
2. Cloner ce projet localement, dans l'espace de travail qui vous convient
3. Purger le dossier `node_modules` et faire un `npm init` afin de le regénérer (je doute que cypress.exe marche sur MacOS ou Linux).
3. Démarrer cypress via `npx cypress open` (pas de `yarn`)
4. Dans l'interface de cypress, trouver les 2 fichiers listé précédemment. Les lancer.
5. Cypress va préprocesser ces fichiers et executer leur code.

### Comment inspecter le code des features files ?

Le module qui interprête les fichionnalités cherche une correspondance en interpretant tout scripte *.js dans un dossier du nom de la fichionnalité.

Le code de `cypress/integration/inscription.feature` est donc dans le chemin `cypress/integration/inscription/*.js`.